<?php $this->render(WPSG_PATH_VIEW.'/mods/mod_statistics/simplefilter.phtml'); ?>

<?php 

	if (wpsg_isSizedArray($this->view['chart']['data'])) 
	{
		
		for ($i = 0; $i < count($this->view['chart']['data']); $i++)
		{
			
			$chartJS['legend'][$i] = "{";
			
			if (isset($this->view['chart']['data'][$i]['label']))
			{
				$chartJS['legend'][$i] .= "label:'".$this->view['chart']['data'][$i]['label']."',";
			}
			
			$chartJS['legend'][$i] .= "	highlighter: { useXTickMarks: true,  ";
			
			$chartJS['legend'][$i] .= "		formatString: '<table><tr><td>%s, %s. ".$this->get_option('wpsg_currency')."</td></tr></table>'";
			
			$chartJS['legend'][$i] .= "	}";
			
			$chartJS['legend'][$i] .= "}";
			
			$j = 0;
			
			foreach ((array)$this->view['chart']['data'][$i]['records'] as $index => $record)
			{
				
				//immer das Datum vom Rootelement nutzen
				$k = 0 ;
				
				foreach ($this->view['chart']['data'][0]['records'] as $rindex => $rrecord)
				{
					if ($j == $k)
					{			
						if (mktime(0, 0, 0, $record['month'], 1, $record['year']) <= mktime(0, 0, 0, date_i18n('m'), 1, date_i18n('Y')))
						{
							$chartJS['area']['area'.$i][] .= "['".$j."', ".wpsg_hspc($record['total'])."]"; 
						} 					
						$chartJS['ticks']['ticks'.$i][] = '['.$j.', \''.$record['tick'].'\']'; 
					}	
					$k++;
				}
			
				if ($j == count($this->view['chart']['data'][$i]['records']) - 1) { 
			  		$chartJS['area']['area'.$i] = '['.implode(',', (array)$chartJS['area']['area'.$i]).']'; 
			  	}
			  	
			  	$j++;
			} 
			
		}

	}

?>

<?php if ($chartJS['area'] != '') { ?>
<div id="chartannualturnover-line" style="height:<?php echo $this->get_option('wpsg_mod_statistics_line_chart_height'); ?>px; width:<?php echo $this->get_option('wpsg_mod_statistics_line_chart_width'); ?>px;"></div>

<br />

<div id="table-data">
	<?php $this->render(WPSG_PATH_VIEW.'/mods/mod_statistics/chartturnover/data.phtml'); ?>	
</div>

<div class="wpsg_clearer"></div>

<script type="text/javascript">

function tooltipContentEditor(str, seriesIndex, pointIndex, plot) {
    // display series_label, x-axis_tick, y-axis value
    return plot.series[seriesIndex]["label"] + ", " + plot.data[seriesIndex][pointIndex];
}


jQuery(document).ready(function(){
	  <?php foreach ($chartJS['area'] as $index => $area) { ?>
		 var <?php echo $index; ?> = <?php echo $area; ?>;
	  <?php } ?>
		
	  var chartannualturnoverLine = jQuery.jqplot('chartannualturnover-line', [<?php echo implode(',', array_keys($chartJS['area'])); ?>], {
		  animate: true,
		  axesDefaults: {
	            labelRenderer: jQuery.jqplot.CanvasAxisLabelRenderer
		  },
		  series:[
          		<?php echo implode(', ', $chartJS['legend']); ?>
          ],
          legend: {
            show: true,
            placement: 'outside'
          },
	      axes:{
	        xaxis:{
        	  rendererOptions:{tickRenderer:
        		  jQuery.jqplot.CanvasAxisTickRenderer}, 
	          	label:'<?php echo wpsg_hspc($this->view['chart']['info']['xaxis']['label']); ?>',
	          	syncTicks: false,
	          	tickOptions:{formatString:'%d'},
	          	ticks: [<?php echo implode(',', $chartJS['ticks']['ticks0']); ?>]
	          	/*tickInterval: '1 month'
	          	min:'<?php echo date('Y', $this->view['chart']['data'][0]['min']); ?>/<?php echo date('m', $this->view['chart']['data'][0]['min']); ?>/<?php echo date('d', $this->view['chart']['data'][0]['min']); ?>',
	          	max:'<?php echo date('Y', $this->view['chart']['data'][0]['max']); ?>/<?php echo date('m', $this->view['chart']['data'][0]['max']); ?>/1'*/
	        },
	        yaxis:{
                label:'<?php echo wpsg_hspc($this->view['chart']['info']['yaxis']['label']); ?>',
                tickOptions: {
                	formatter: wpsg_statistics_number_format
            	},
        		min:0
            }
	      },
	      highlighter: {
	            show: true
	      }
	  });

	  wpsg_statistic_addExportButton();
	  
});
</script>
<?php } else { ?>
<?php echo __('Keine Daten zur Auswertung vorhanden.', 'wpsg'); ?>
<?php } ?>